Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234769 - busybox ls does not work without a tty
Summary: busybox ls does not work without a tty
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: busybox
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-01 19:01 UTC by Chaskiel Grundman
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 10:50:25 UTC


Attachments (Terms of Use)

Description Chaskiel Grundman 2007-04-01 19:01:58 UTC
Description of problem:
busybox's ls does not produce output if stdout is not a tty. This breaks the
kexec-tools initramfs

Version-Release number of selected component (if applicable):
busybox-1.2.2-6.fc7


How reproducible:
always

Steps to Reproduce:
1. busybox ls -1 | cat
2. busybox ls -1
3.
  
Actual results:
first command always returns empty output

Expected results:
commands show same output

Additional info:
(the '-1' arg is to make sure the output would be the same if the bug was
absent. it is not needed to trigger the bug)

Comment 1 Ivana Varekova 2007-04-02 10:50:25 UTC
Fixed in busybox-1.2.2-7.fc7


Note You need to log in before you can comment on or make changes to this bug.